jQuery(document).ready(function($) {
	'use strict';
	
	var selected_demo = '';
	
	$('.button-install-demo').on('click', function(e) {
		selected_demo = $(this).data('demo-name');
		$('.mnky-import-select').addClass('select-active');
		
		
		e.preventDefault();
	});	
	
	$('.mnky-import-options input[type=checkbox]').on('click', function() {
		var checked = $('.mnky-import-options input:checkbox:checked').length;

		if( checked > 0 ){
			$('.button-continue-install').show();
		} else {
			$('.button-continue-install').hide();
		}
		
	});	
	
	$('.button-cancel-install').on('click', function(e) {
		$('.mnky-import-select').removeClass('select-active');
		
		e.preventDefault();
	});	
		
	$('.button-continue-install').on('click', function(e) {
		var theme_options = $('.mnky-import-select #theme-options').is(':checked'),
			demo_data = $('.mnky-import-select #demo-data').is(':checked'),
			widgets = $('.mnky-import-select #widgets').is(':checked'),			
			menu = $('.mnky-import-select #menu').is(':checked'),			
			set_menu = $('.mnky-import-select #set-menu').is(':checked');
			
			if( theme_options ){ theme_options = 'on'; }
			if( demo_data ){ demo_data = 'on'; }
			if( widgets ){ widgets = 'on'; }
			if( menu ){ menu = 'on'; }
			if( set_menu ){ set_menu = 'on'; }
				
		var data = {
			action: 'mnky_importer',
			demo_type: selected_demo,
			theme_options: theme_options,
			demo_data: demo_data,
			widgets: widgets,
			menu: menu,
			set_menu: set_menu
		};
		
		$('.mnky-import-select').removeClass('select-active');
				
		$('html, body').animate({
			scrollTop: $('#mnky-dashboard').offset().top
		}, 500);

		$('.mnky-notice').hide();
		$('.data-importing').fadeIn();

		$.post(ajaxurl, data, function(response) {	
			if( response && response.indexOf('successful') == -1 ) {
				$('.import-error').fadeIn();
				$('.data-importing').hide();
			} else {
				$('.data-imported').fadeIn();
				$('.data-importing').hide();
			}
		}).fail(function() {
			$('.import-error').fadeIn();
			$('.data-importing').hide();
			console.log('Import failed');
		});
		
		e.preventDefault();
	});	
	
});