<?php

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}


$demos = array(
	'demo' => array( 
      array(
        'theme_name' => 'Mag Default',
        'demo_name' => 'default',
        'preview' => 'https://mnkythemes.com/mag/'
      )
	)
);

$get_section = filter_input(INPUT_GET, 'section', FILTER_SANITIZE_ENCODED);
?>

<div id="mnky-dashboard" class="wrap mnky-dashboard-wrap">

	<h1 class="welcome-title"><?php 
		echo sprintf( esc_html__( 'Welcome to %s ',  'mag' ), wp_get_theme() ); 
		echo '<small>'. sprintf( esc_html__( 'Version %s',  'mag' ), wp_get_theme()->get( 'Version' ) ) . '</small>';
	?></h1>

	<div class="about-text"><?php echo sprintf( esc_html__( 'Below you can import demo data and find some useful information. Get ready to create something beautiful with %s!',  'mag' ),  wp_get_theme() ); ?></div>	

	
	<div class="mnky-menubar">
		<ul class="clearfix">
			<li <?php if( empty( $get_section ) || $get_section == 'demo' ) : ?>class="active"<?php endif;?>><a href="<?php echo add_query_arg( array( 'section' => 'demo') );?>"><?php esc_html_e( 'Import Demo',  'mag' ) ?></a></li>			
			<li <?php if( $get_section == 'plugins' ) : ?>class="active"<?php endif;?>><a href="<?php echo add_query_arg( array( 'section' => 'plugins') ); ?>"><?php esc_html_e( 'Plugins',  'mag' ) ?></a></li>
			<li <?php if( $get_section == 'server-info' ) : ?>class="active"<?php endif;?>><a href="<?php echo add_query_arg( array( 'section' => 'server-info') ); ?>"><?php esc_html_e( 'Server Info',  'mag' ) ?></a></li>
			<li><a class="inner-url" href="themes.php?page=ot-theme-options" ><?php esc_html_e( 'Theme Options',  'mag' ) ?></a></li>			
			<li><a class="external-url" href="http://support.mnkystudio.com/" target="_blank"><?php esc_html_e( 'Help Desk',  'mag' ) ?></a></li>
			<li><a class="external-url" href="http://mnkythemedemos.com/documentation/mag/" target="_blank"><?php esc_html_e( 'Documentation',  'mag' ) ?></a></li>
		</ul>
	</div>
	
	<div class="mnky-notice data-importing" style="display:none;">
		<p class="about-description"><span class="loading"></span><?php echo esc_html__( 'Importing demo data... This may take a while, please wait!',  'mag' ); ?></p>
	</div>	
	
	<div class="mnky-notice error-notice import-error" style="display:none;">
		<p class="about-description"><?php echo esc_html__( 'An error occurred - demo data import unsuccessful. Please try again.',  'mag' ); ?></p>
	</div>	
	
	<div class="mnky-notice data-imported" style="display:none;">
		<p class="about-description"><?php echo esc_html__( 'Demo data successfully imported. You are good to go!',  'mag' ); ?></p>
	</div>

	<?php if ( ! class_exists('MNKY_Core_Extend') ) : ?>
		<div class="mnky-notice error-notice plugin-notice">
			<p class="about-description"><?php echo sprintf( esc_html__( 'To import theme demo data please install and activate %s plugin first.',  'mag'), '<a href="themes.php?page=mnky-theme-dashboard&section=plugins" >Mag | Theme Core Extend</a>' ); ?></p>
		</div>
	<?php endif; ?>
	
	<?php if( empty( $get_section ) || $get_section == 'demo' ) : ?>
		<h2><?php esc_html_e('Import a Demo',  'mag')?></h2>
		<div class="mnky-content-wrap">
			<div class="mnky-demos-tab theme-browser clearfix">
				<?php foreach ( $demos['demo'] as $demo ) { ?>
					<div class="theme">
						<div class="theme-wrapper">
							<div class="theme-screenshot">
								<img src="<?php echo MNKY_URI .'/inc/admin/assets/images/demo/'. esc_attr( $demo['demo_name'] ) .'-screenshot.jpg'; ?>" />
							</div>
							<h3 class="theme-name" id="<?php esc_attr( $demo['demo_name'] ); ?>"><?php echo esc_html( $demo['theme_name'] ); ?></h3>
							<div class="theme-actions">
								<?php printf( '<a class="button button-secondary button-preview-demo" target="_blank" href="%s">%s</a>', strtolower( esc_url( $demo['preview'] ) ), esc_html__( 'Preview',  'mag' ) ); ?>
								<?php printf( '<a class="button button-primary button-install-demo" data-demo-name="%s" href="#">%s</a>', strtolower( esc_attr( $demo['demo_name'] ) ), esc_html__( 'Import',  'mag' ) ); ?>
							</div>
						</div>
					</div>
				<?php } ?>
				<?php if ( ! class_exists('MNKY_Core_Extend') ) : ?>
					<div class="not-active-bg"></div>
				<?php endif; ?>
			</div>	
		</div>
	<?php endif; ?>
	
	
	<?php if( $get_section == 'plugins' ) : ?>
	
		<?php
		$current_theme = wp_get_theme();

		if( $current_theme->parent_theme ) {
			$template_dir  = basename( get_template_directory() );
			$current_theme = wp_get_theme($template_dir);
		}

		$installed_plugins = get_plugins();
		$plugins = TGM_Plugin_Activation::$instance->plugins;
		?>	
	
		<h2 id="mnky_plugins"><?php esc_html_e('Setup Plugins',  'mag')?></h2>
		<div class="mnky-content-wrap">
			<div class="mnky-plugins-column-wrap mnky-plugins-tab">

			<?php foreach( $plugins as $plugin ) :
						$class = $status = $display_status = '';
						$file_path = $plugin['file_path'];
		
						// Install
						if( !isset( $installed_plugins[ $file_path ] ) ) {
							$status = 'not-installed';
							if ( true === $plugin['required'] ) {
								$class = ' mnky-plugin-required';
								$display_status = __( 'Required',  'mag' );
							}
						}
						// Installed
						elseif ( is_plugin_inactive( $file_path ) ) {
							$status = 'installed';
							if ( true === $plugin['required'] ) {
								$class = ' mnky-plugin-required';
								$display_status = __( 'Required',  'mag' );
							}
						}
						// Deactivate
						elseif( !is_plugin_inactive( $file_path ) ) {
							$status = 'active';
							$class = ' mnky-plugin-active';
							$display_status = __( 'Active',  'mag' );
						}
			?>

				<div class="mnky-plugin<?php echo esc_attr( $class ); ?>">
					<span class="mnky-plugin-icon">
						<img src="<?php echo esc_url( $plugin['mnky_img'] ); ?>" alt="<?php echo esc_attr( $plugin['name'] ); ?>">
					</span>
					<h3><?php echo esc_html( $plugin['name'] ); ?><span class="mnky-plugin-info"><?php echo esc_html( $display_status ); ?></span></h3>
					<p><?php echo esc_html( $plugin['mnky_description'] ); ?></p>
					
					<?php mnky_tgmpa_plugin_action( $plugin, $status ); ?>
				</div>
			<?php endforeach;  ?>
			</div>
		</div>	
	<?php endif; ?>	

	<?php if( $get_section == 'server-info' ) : ?>
		<h2 id="mnky_server_info"><?php esc_html_e('Server Info',  'mag')?></h2>
		<div class="mnky-content-wrap">

			<table class="mnky_status_table widefat" cellspacing="0">
				<tbody>
				<tr>
					<td data-export-label="Home URL"><?php esc_html_e( 'Home URL',  'mag' ); ?>:</td>
					<td class="help"><span><?php echo esc_html__( 'The URL of your site\'s homepage.',  'mag' ); ?></td>
					<td class="result-info"><?php form_option( 'home' ); ?></td>
				</tr>
				<tr>
					<td data-export-label="Site URL"><?php esc_html_e( 'Site URL',  'mag' ); ?>:</td>
					<td class="help"><span><?php echo esc_html__( 'The root URL of your site.',  'mag' ); ?></td>
					<td class="result-info"><?php form_option( 'siteurl' ); ?></td>
				</tr>
				<tr>
					<td data-export-label="WP Version"><?php esc_html_e( 'WP Version',  'mag' ); ?>:</td>
					<td class="help"><span><?php echo esc_html__( 'The version of WordPress installed on your site.',  'mag' ); ?></td>
					<td class="result-info"><?php bloginfo('version'); ?></td>
				</tr>
				<tr>
					<td data-export-label="WP Memory Limit"><?php esc_html_e( 'WP Memory Limit',  'mag' ); ?>:</td>
					<td class="help"><span><?php echo esc_html__( 'The maximum amount of memory (RAM) that your site can use at one time.',  'mag' ); ?></td>
					<td class="result-info"><?php
						$memory = mnky_let_to_num( WP_MEMORY_LIMIT );

						if ( function_exists( 'memory_get_usage' ) ) {
							$system_memory = mnky_let_to_num( @ini_get( 'memory_limit' ) );
							$memory        = max( $memory, $system_memory );
						}

						if ( $memory < 67108864 ) {
							echo '<mark class="error">' . sprintf( esc_html__( '%s - We recommend setting memory to at least 64MB. See: %s',  'mag' ), size_format( $memory ), '<a href="https://codex.wordpress.org/Editing_wp-config.php#Increasing_memory_allocated_to_PHP" target="_blank">' . esc_html__( 'Increasing memory allocated to PHP',  'mag' ) . '</a>' ) . '</mark>';
						} else {
							echo '<mark class="yes">' . size_format( $memory ) . '</mark>';
						}
					?></td>
				</tr>
				
				
					<tr>
						<td data-export-label="PHP Version"><?php esc_html_e( 'PHP Version',  'mag' ); ?>:</td>
						<td class="help"><span><?php echo esc_html__( 'The version of PHP installed on your hosting server.',  'mag'  ); ?></span></td>
						<td class="result-info"><?php
							// Check if phpversion function exists.
							if ( function_exists( 'phpversion' ) ) {
								$php_version = phpversion();

								if ( version_compare( $php_version, '5.4', '<' ) ) {
									echo '<mark class="error">' . sprintf( esc_html__( '%s - We recommend a minimum PHP version of 5.6. See: %s',  'mag' ), esc_html( $php_version ), '<a href="https://wordpress.org/about/requirements/" target="_blank">' . esc_html__( 'Current recommended PHP version',  'mag' ) . '</a>' ) . '</mark>';
								} else {
									echo '<mark class="yes">' . esc_html( $php_version ) . '</mark>';
								}
							} else {
								esc_html_e( "Couldn't determine PHP version because phpversion() doesn't exist.",  'mag' );
							}
							?></td>
					</tr>
					<?php if ( function_exists( 'ini_get' ) ) : ?>
						<tr>
							<td data-export-label="PHP Post Max Size"><?php esc_html_e( 'PHP Post Max Size',  'mag' ); ?>:</td>
							<td class="help"><span><?php echo esc_html__( 'The largest filesize that can be contained in one post.',  'mag'  ); ?></span></td>
							<td class="result-info"><?php echo size_format( mnky_let_to_num( ini_get( 'post_max_size' ) ) ); ?></td>
						</tr>
						<tr>
							<td data-export-label="PHP Time Limit"><?php esc_html_e( 'PHP Time Limit',  'mag' ); ?>:</td>
							<td class="help"><span><?php echo esc_html__( 'The amount of time (in seconds) that your site will spend on a single operation before timing out (to avoid server lockups)',  'mag'  ); ?></span></td>
							<td class="result-info"><?php echo ini_get( 'max_execution_time' ); ?></td>
						</tr>
						<tr>
							<td data-export-label="PHP Max Input Vars"><?php esc_html_e( 'PHP Max Input Vars',  'mag' ); ?>:</td>
							<td class="help"><span><?php echo esc_html__( 'The maximum number of variables your server can use for a single function to avoid overloads.',  'mag'  ); ?></span></td>
							<td class="result-info"><?php echo ini_get( 'max_input_vars' ); ?></td>
						</tr>
					<?php endif; ?>
					<tr>
						<td data-export-label="MySQL Version"><?php esc_html_e( 'MySQL Version',  'mag' ); ?>:</td>
						<td class="help"><span><?php echo esc_html__( 'The version of MySQL installed on your hosting server.',  'mag'  ); ?></span></td>
						<td class="result-info">
							<?php
							/** @global wpdb $wpdb */
							global $wpdb;
							$db_version = $wpdb->db_version();
							
							if ( version_compare( $db_version, '5.6', '<' ) ) {
								echo '<mark class="error">' . sprintf( esc_html__( '%s - We recommend a minimum MySQL version of 5.6. See: %s',  'mag' ), esc_html( $db_version ), '<a href="https://wordpress.org/about/requirements/" target="_blank">' . esc_html__( 'Current recommended MySQL version',  'mag' ) . '</a>' ) . '</mark>';
							} else {
								echo '<mark class="yes">' . esc_html( $db_version ) . '</mark>';
							}
							?>
						</td>
					</tr>
					<tr>
						<td data-export-label="Max Upload Size"><?php esc_html_e( 'Max Upload Size',  'mag' ); ?>:</td>
						<td class="help"><span><?php echo esc_html__( 'The largest filesize that can be uploaded to your WordPress installation.',  'mag'  ); ?></span></td>
						<td class="result-info"><?php echo size_format( wp_max_upload_size() ); ?></td>
					</tr>
					<tr>
						<td data-export-label="ZipArchive"><?php esc_html_e( 'ZipArchive:',  'mag' ); ?></td>
						<td class="help"><span><?php echo esc_html__( 'ZipArchive is required to import and export zip files.',  'mag'  ); ?></span></td>
						<td class="result-info"><?php echo class_exists( 'ZipArchive' ) ? '<mark class="yes"><span class="dashicons dashicons-yes" style="font-size:21px; margin-top:-2px;"></span></mark>' : '<mark class="error">'. esc_html__( 'ZipArchive is not installed on your server, but is required if you need to import plugins',  'mag'  ) .'</mark>'; ?></td>
					</tr>
				</tbody>
			</table>
		</div>
	<?php endif; ?>	

</div>


<?php if( empty( $get_section ) || $get_section == 'demo' ) : ?>
	<div class="mnky-import-select">
		<div class="mnky-import-select-inner">
			<h4><?php esc_html_e('Select Data to Import',  'mag')?></h4>
			<ul class="mnky-import-options"> 
				<li><input id="theme-options" type="checkbox" name="theme-options" value="theme-options" checked><label for="theme-options"><?php esc_html_e( 'Theme Options',  'mag' ); ?></label></li>
				<li><input id="demo-data" type="checkbox" name="demo-data" value="demo-data" checked><label for="demo-data"><?php esc_html_e( 'Demo Data',  'mag' ); ?></label></li>
				<li><input id="widgets" type="checkbox" name="widgets" value="widgets" checked><label for="widgets"><?php esc_html_e( 'Widgets',  'mag' ); ?></label></li>
				<li><input id="menu" type="checkbox" name="menu" value="menu" checked><label for="menu"><?php esc_html_e( 'Assign Imported Menus',  'mag' ); ?></label></li>
				<li><input id="set-menu" type="checkbox" name="set-menu" value="set-menu" checked><label for="set-menu"><?php esc_html_e( 'Set Homepage & Post page',  'mag' ); ?></label></li>
			<ul>
			
			<div class="mnky-import-action clearfix">
				<a class="button-cancel-install" href="#">Cancel</a>
				<a class="button-continue-install" href="#">Start Importing</a>
			</div>
		</div>
	</div>
<?php endif; ?>	
