<?php
/*	
*	---------------------------------------------------------------------
*	MNKY initiate the theme admin
*	--------------------------------------------------------------------- 
*/

add_action( 'admin_menu', 'mnky_add_dashbord_page', 11 );
add_action( 'admin_init', 'mnky_save_plugins' );


function mnky_add_dashbord_page(){
	if ( ! current_user_can( 'edit_theme_options' ) ) {
		return;
	}		
	
	add_theme_page( esc_html__( 'Theme Dashboard',  'mag' ), esc_html__( 'Theme Dashboard',  'mag' ), 'administrator', 'mnky-theme-dashboard', 'mnky_dashboard' );
}

// Include welcome screen pages
function mnky_dashboard() {
	get_template_part( 'inc/admin/dashboard' );
}

	
// let_to_num function.
function mnky_let_to_num( $size ) {
	$l   = substr( $size, -1 );
	$ret = substr( $size, 0, -1 );
	switch ( strtoupper( $l ) ) {
		case 'P':
			$ret *= 1024;
		case 'T':
			$ret *= 1024;
		case 'G':
			$ret *= 1024;
		case 'M':
			$ret *= 1024;
		case 'K':
			$ret *= 1024;
	}
	return $ret;
}


function mnky_tgmpa_plugin_action( $plugin, $status ) {

	$btn_class = $btn_text = $nonce_url = '';
	$page = admin_url( 'themes.php?page=mnky-theme-dashboard&section=' . $_GET['section'] );

	switch( $status ) {
		case 'not-installed':
			$btn_class = 'white';
			$btn_text = esc_html_x( 'Install', 'Liquid plugin installation page.',  'mag' );

			$nonce_url = wp_nonce_url(
				add_query_arg(
					array(
						'plugin' => urlencode( $plugin['slug'] ),
						'tgmpa-install' => 'install-plugin',
						'return_url' => '/themes.php?page=mnky-theme-dashboard&section=' . $_GET['section']
					),
					TGM_Plugin_Activation::$instance->get_tgmpa_url()
				),
				'tgmpa-install',
				'tgmpa-nonce'
			);
			break;

		case 'installed':
			$btn_class = 'success';
			$btn_text = esc_html_x( 'Activate', 'Liquid plugin installation page.',  'mag' );

			$nonce_url = wp_nonce_url(
				add_query_arg(
					array(
						'plugin' => urlencode( $plugin['slug'] ),
						'mnky-activate' => 'activate-plugin'
					),
					$page
				),
				'mnky-activate',
				'mnky-activate-nonce'
			);
			break;

		case 'active':
			$btn_class = 'danger';
			$btn_text = esc_html_x( 'Deactivate', 'Liquid plugin installation page.',  'mag' );

			$nonce_url = wp_nonce_url(
				add_query_arg(
					array(
						'plugin' => urlencode( $plugin['slug'] ),
						'mnky-deactivate' => 'deactivate-plugin'
					),
					$page
				),
				'mnky-deactivate',
				'mnky-deactivate-nonce'
			);
			break;
	}

	printf(
		'<a class="mnky-button" href="%4$s" title="%2$s %1$s"><span>%2$s</span> <i class="fa fa-angle-right"></i></a>',
		$plugin['name'], $btn_text, $btn_class, esc_url( $nonce_url )
	);
}


function mnky_save_plugins() {

	if ( ! current_user_can( 'edit_theme_options' ) ) {
		return;
	}

	// Deactivate Plugin
	if ( isset( $_GET['mnky-deactivate'] ) && 'deactivate-plugin' == $_GET['mnky-deactivate'] ) {

		check_admin_referer( 'mnky-deactivate', 'mnky-deactivate-nonce' );

		$plugins = TGM_Plugin_Activation::$instance->plugins;

		foreach( $plugins as $plugin ) {
			if ( $plugin['slug'] == $_GET['plugin'] ) {

				deactivate_plugins( $plugin['file_path'] );

				wp_redirect( admin_url( 'themes.php?page=mnky-theme-dashboard&section=' . $_GET['section'] ) );
				exit;
			}
		}
	}

	// Activate plugin
	if ( isset( $_GET['mnky-activate'] ) && 'activate-plugin' == $_GET['mnky-activate'] ) {

		check_admin_referer( 'mnky-activate', 'mnky-activate-nonce' );

		$plugins = TGM_Plugin_Activation::$instance->plugins;

		foreach( $plugins as $plugin ) {
			if ( $plugin['slug'] == $_GET['plugin'] ) {

				activate_plugin( $plugin['file_path'] );

				wp_redirect( admin_url( 'themes.php?page=mnky-theme-dashboard&section=' . $_GET['section'] ) );
				exit;
			}
		}
	}
}