<?php
/*	
*	---------------------------------------------------------------------
*	MNKY Register the required plugins for this theme
*	--------------------------------------------------------------------- 
*/

add_action( 'tgmpa_register', 'mnky_theme_required_plugins' );

function mnky_theme_required_plugins() {

	$thumb = get_template_directory_uri() . '/inc/admin/assets/images/plugins';
    
    // Array of plugin arrays.
    $plugins = array(

		array(
            'name'               => esc_html__('Mag | Theme Core Extend', 'mag'), // The plugin name.
            'slug'               => 'core-extend', // The plugin slug (typically the folder name).
            'source'             => MNKY_PLUGINS . '/core-extend.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '1.0.5', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'mnky_img'       	 => esc_url($thumb) . '/core-extend.jpg',
			'mnky_description'	 => esc_html__( 'Adds powerful extra functionality and elements to theme, tailored for MNKY WordPress themes.',  'mag' ),
        ),
        array(
            'name'               => esc_html__('WPBakery Visual Composer', 'mag'), // The plugin name.
            'slug'               => 'js_composer', // The plugin slug (typically the folder name).
            'source'             => MNKY_PLUGINS . '/js_composer.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '6.2.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'mnky_img'       	 => esc_url($thumb) . '/page-builder.jpg',
			'mnky_description' 	 => esc_html__( 'Drag and drop page builder that will help you to create any layout you can imagine fast and easy.',  'mag' ),

        ),	
		array(
            'name'               => esc_html__('Easy Social Share Buttons for WordPress', 'mag'), // The plugin name.
            'slug'               => 'easy-social-share-buttons3', // The plugin slug (typically the folder name).
            'source'             => MNKY_PLUGINS . '/easy-social-share-buttons3.zip', // The plugin source.
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '7.1.2', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'mnky_img'       	 => esc_url($thumb) . '/easy-sharing.jpg',
			'mnky_description' 	 => esc_html__( 'Adds to your site unique WordPress social share buttons, awesome looking social followers counter, easy to use subscribe to mail list forms and social live chat functionality',  'mag' ),
        ),
		array(
            'name'               => esc_html__('Contact Form 7', 'mag'), // The plugin name.
            'slug'               => 'contact-form-7', // The plugin slug (typically the folder name).
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '5.1.7',
			'mnky_img'        	 => 'https://ps.w.org/contact-form-7/assets/icon-128x128.png?rev=984007',
			'mnky_description' 	 => esc_html__( 'Manage multiple contact forms, plus you can customize the form and the mail contents flexibly with simple markup. ',  'mag' ),			
        ),
		array(
            'name'               => esc_html__('Breadcrumb NavXT', 'mag'), // The plugin name.
            'slug'               => 'breadcrumb-navxt', // The plugin slug (typically the folder name).
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '6.4.0',
			'mnky_img'       	 => esc_url($thumb) . '/breadcrumbs.jpg',
			'mnky_description' 	 => esc_html__( 'This plugin generates locational breadcrumb trails for your WordPress powered blog or website.',  'mag' ),
        ),
		array(
            'name'               => esc_html__('PhotoSwipe Light', 'mag'), // The plugin name.
            'slug'               => 'photo-swipe', // The plugin slug (typically the folder name).
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '4.1.1.1',
			'mnky_img'       	 => esc_url($thumb) . '/photoswipe.jpg',
			'mnky_description' 	 => esc_html__( 'Touch-friendly JavaScript image gallery for mobile and desktop, without dependencies..',  'mag' ),
        ),
		array(
            'name'               => esc_html__('Envato Market', 'mag'), // The plugin name.
            'slug'               => 'envato-market', // The plugin slug (typically the folder name).
            'source'             => MNKY_PLUGINS . '/envato-market.zip', // The plugin source.
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '2.0.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'mnky_img'        	 => esc_url($thumb) . '/envato-market.jpg',
			'mnky_description'	 => esc_html__( 'WordPress Theme & Plugin management for the Envato Market.',  'mag' ),
        )
    );

    
    // Array of configuration settings.
    $config = array(
        'id'           => 'mag',				// Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => true,                    // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $plugins, $config );

}
